Subject: Linux-Activists Digest #37
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 7 Apr 92 07:45:09 EDT

Linux-Activists Digest #37, Volume #2             Tue, 7 Apr 92 07:45:09 EDT

Contents:
  Re: Has anyone thought about threads? (Drew Eckhardt)
  LINUX INSTALLATION PROBLEMS (Scott Dunn)
  Re: gcc problems (A. V. Le Blanc)
  Re: Problem with gcc2 (A. V. Le Blanc)
  Re: Swapfile vs. Swap partition (A. V. Le Blanc)
  New version of diskbackup (Damiano Bolla)
  we need a new gdb (I think) (Charles Hedrick)
  problem compiling kernel... (gary a moyer)

----------------------------------------------------------------------------

From: [email-masked] (Drew Eckhardt)
Subject: Re: Has anyone thought about threads?
Date: 7 Apr 92 08:06:18 GMT

In article <[email-masked]> [email-masked] (Nicolai Wadstr|m) writes:
>Has anyone given any thoughts on implementing threads in linux?
>I know it's not a standard UNIX feature, but it's were nice to
>write programs with threads, it's often possible to gain a lot
>of performance in using threads.
>(I've done a lot of OS/2 programming and just love the idea of 
>threads!)

fork()ing is the same thing as creating a heavy weight thread.
lightweight threads can be implemented with minimal modifications. 

Interprocess communication can be accomplished with pipes,
or signals.

Hopefully, sysV shared memory and semaphores will be 
implemented too.

>The shared libraray support (when implemented), will it be like
>OS/2 DLL's? I mean a .lib or .dll file that is loaded upon runtime
>of the program?
>

Yes.  Note that Linux uses shared, statically linked libraries.
With some header field munging, and running ld(1) from user space, it would
be possible to do dynamically linked shared libraries.

------------------------------

From: [email-masked] (Scott Dunn)
Subject: LINUX INSTALLATION PROBLEMS
Date: 6 Apr 92 15:00:01 GMT

Sorry, forgot to mention :

25 Mhz 386DX, 2MBs, AMI BIOS, DR-DOS 6.

Drive 0 was formatted using DR-DOS 5 fdisk.
Drive 1 using DR-DOS 6 fdisk.

Any help, advice would be greatly appreciated.  Even a pointer
to a section in the installation notes that I may have missed
would be welcome.  Just initialise it first (-:

Scott.

------------------------------

From: [email-masked] (A. V. Le Blanc)
Subject: Re: gcc problems
Date: 6 Apr 92 15:14:55 GMT

In article <[email-masked]> [email-masked] (Alex R.N. Wetmore) writes:
>Linux seems to be missing quite a few
>of the process utils (kill, who, etc).  I assume that this is just
>because of the betaness.

The bash shell actually contains a builtin kill command.  There are
also the following utilities, which might be called 'process' or related
utilities, which have been included in various packages, and
which can be compiled and run under 095a plus patches:

     doshell     start a subprocess attached to a different virtual console
     free        report usage of memory and swap space
     kill        signals other processes
     login       lets you login and can be used instead of 'su -'
     logname     returns the name of the owner of the current process
     nice        starts a background job with low priority
     nohup       starts a background job that should survive parent's logout
     ps          process status reporting utility
     top         usage monitor

     -- Owen
     [email-masked]

------------------------------

From: [email-masked] (A. V. Le Blanc)
Subject: Re: Problem with gcc2
Date: 6 Apr 92 15:34:21 GMT

In article <[email-masked]> [email-masked] (Joseph Knapka) writes:
>In article <[email-masked]> [email-masked] (Zeyd M. Ben-Halim) writes:
>>[email-masked] (Martin Schulte) writes:
>>
>>Could somebody post an answer to this question? It has come up at least half
>>a dozen time already. (Un)fortunately I never got these error when I use gcc2.
>>
>>>I took gcc2misc.tar.Z and gcc2lib.tar.Z from tsx-11. I untared them
>>>in /usr.  /usr/gcc2/bin/gcc of a script which only contains the
>>>line "#include <stdio.h>" leads to the error-message:
>>>In file incluced from gcc2test.c:1:
>>>/usr/gcc2/include/stdio.h:99: parse error before '('

This problem is frequently caused by inconsistencies in the include
files, particularly since we have had several versions of the C
compiler with several include file collections.  Imagine that one
include file contains a definition of a macro 'file', while another
contains the word 'file' as the name of a field of a structure.
Either file will work properly, but any program which includes both
must contain the second (with the structure) before the first (the one
with the macro).  This problem actually occurred.

Another problem has occurred in which a macro, e.g., free(a) is
defined in one header file, while the prototype free() occurs in
stdlib.h or unistd.h.  Further problems have occurred when 
include files depend on each other in a manner which is not clear.
I think the people getting these things out have done a marvellous
job.

The whole include file mess should actually get straightened out
only when an official 1.0 release of Linux comes out, and perhaps
not even then.

>I had this problem early on with gcc-2.0. Someone posted about the tar
>on the 0.95a distribution disk corrupting files. I switched to another
>tar (I think from fileutils.tar.Z on tsx-11, but I'm not sure) and
>untarred the gcc-2.x stuff with that, and everything worked after
>that.

Of course, if an include file is actually corrupted, we would
expect the compiler to find syntax errors in it.

     -- Owen
     [email-masked]

------------------------------

From: [email-masked] (A. V. Le Blanc)
Subject: Re: Swapfile vs. Swap partition
Date: 6 Apr 92 15:46:56 GMT

In article <[email-masked]> [email-masked] (Tim Rhodes) writes:
>I am planning on installing linux this weekend.  I'll have to repartition my  
>hard drive which I plan to do with regular DOS tools.

Be warned that many DOS partitioning tools waste a bit of space in
every partition they allocate.  If you're squeezing the last bytes out
of a disk, don't use an MS-DOS fdisk.

>My question is which is  
>preferable, using a partition for swap space or or a swapfile?

The two are apparently about equivalent, I understand, as far as efficiency.
A swap file is much easier to resize if your needs should change.

>For my setup,  how many partitions should I define?

You need at least one, the root partition.  Most boot methods require
that this be a primary partition (i.e., 1--4).  You may create as many
others as you like, but you'll not need more than one swap partition.

>Also in using a separate partition, the  
>RELNOTEs remark is not clear if I need to make a file system on a swap  
>partition or if the mkswap does it all.

mkswap does it all.

     -- Owen
     [email-masked]

------------------------------

From: [email-masked] (Damiano Bolla)
Subject: New version of diskbackup
Date: 7 Apr 92 09:26:35 GMT

This is the source for the new version of diskbackup diskrestore.
Since I havent managed to be able to use tar with compress with
the multiple volume archive option on in a reliable manner I think
that this piece of soft is still needed.

Of course if anybody know how to have the above using tar please tell me.

BTW: As distibuted compress uses 12 bits. If you recompile compress
to use 16 bit it get better. You will be able to save 300Kb by going
from 12bit to 16 bit over a 2Mb text file. Not a lot but it is worth.

P.S. Since my site is having problems with the news... 
Can one of the ftpsytes admin confirm the receipt of this news ?
Maybe abc or LeBlanc or tsx-11 ? :-)

Damiano

------------------------------

From: [email-masked] (Charles Hedrick)
Subject: we need a new gdb (I think)
Date: 7 Apr 92 07:28:07 GMT

gdb does not work under 0.95c.  I get a general protection fault when
doing about anything.  I'm using the old ld.  In fact I get it even
with images built under gcc 1.40.  It's the kernel that matters: 0.95b
works, but not 0.95c.  I conjecture that some critical header file
changed, e.g. the change in the process description in sched.h.
Could whoever built gdb please build it again with the new
header files, or tell me how to do it.

------------------------------

From: [email-masked] (gary a moyer)
Subject: problem compiling kernel...
Date: 6 Apr 92 20:11:12 GMT

Has anyone gotten the following error when compiling
the kernel:
(compiling fork.c..)
caught fatal signal 6 (??!!?)

Has anyone else had this happen on the way to a kernel build ?

               Thx.  [email-masked]

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.95a released on March 17, 1992

End of Linux-Activists Digest
******************************